## lua5.2 5.2.0~beta

=== Makefile ===
# Makefile for installing Lua
# See doc/readme.html for installation and customization instructions.

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

# Where to install. The installation starts in the src and doc directories,
# so take care if INSTALL_TOP is not an absolute path. See the local target.
# You may want to make INSTALL_LMOD and INSTALL_CMOD consistent with
# LUA_ROOT, LUA_LDIR, and LUA_CDIR in luaconf.h.
INSTALL_TOP= /usr/local
INSTALL_BIN= $(INSTALL_TOP)/bin
INSTALL_INC= $(INSTALL_TOP)/include
INSTALL_LIB= $(INSTALL_TOP)/lib
INSTALL_MAN= $(INSTALL_TOP)/man/man1
INSTALL_LMOD= $(INSTALL_TOP)/share/lua/$V
INSTALL_CMOD= $(INSTALL_TOP)/lib/lua/$V

# How to install. If your install program does not support "-p", then
# you may have to run ranlib on the installed liblua.a.
INSTALL= install -p
INSTALL_EXEC= $(INSTALL) -m 0755
INSTALL_DATA= $(INSTALL) -m 0644
#
# If you don't have "install" you can use "cp" instead.
# INSTALL= cp -p
# INSTALL_EXEC= $(INSTALL)
# INSTALL_DATA= $(INSTALL)

# Other utilities.
MKDIR= mkdir -p
RM= rm -f

# == END OF USER SETTINGS -- NO NEED TO CHANGE ANYTHING BELOW THIS LINE =======

# Convenience platforms targets.
PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris

# What to install.
TO_BIN= lua luac
TO_INC= lua.h luaconf.h lualib.h lauxlib.h lua.hpp
TO_LIB= liblua.a
TO_MAN= lua.1 luac.1

# Lua version and release.
V= 5.2
R= $V.0

# Targets start here.
all:	$(PLAT)

$(PLATS) clean:
	cd src && $(MAKE) $@

test:	dummy
	src/lua -v

install: dummy
	cd src && $(MKDIR) $(INSTALL_BIN) $(INSTALL_INC) $(INSTALL_LIB) $(INSTALL_MAN) $(INSTALL_LMOD) $(INSTALL_CMOD)
	cd src && $(INSTALL_EXEC) $(TO_BIN) $(INSTALL_BIN)
	cd src && $(INSTALL_DATA) $(TO_INC) $(INSTALL_INC)
	cd src && $(INSTALL_DATA) $(TO_LIB) $(INSTALL_LIB)
	#cd doc && $(INSTALL_DATA) $(TO_MAN) $(INSTALL_MAN)

uninstall:
	cd src && cd $(INSTALL_BIN) && $(RM) $(TO_BIN)
	cd src && cd $(INSTALL_INC) && $(RM) $(TO_INC)
	cd src && cd $(INSTALL_LIB) && $(RM) $(TO_LIB)
	#cd doc && cd $(INSTALL_MAN) && $(RM) $(TO_MAN)

local:
	$(MAKE) install INSTALL_TOP=../install

none:
	@echo "Please do 'make PLATFORM' where PLATFORM is one of these:"
	@echo "   $(PLATS)"
	@echo "See doc/readme.html for complete instructions."

# make may get confused with test/ and install/
dummy:

# echo config parameters
echo:
	@cd src && $(MAKE) -s echo
	@echo "PLAT= $(PLAT)"
	@echo "V= $V"
	@echo "R= $R"
	@echo "TO_BIN= $(TO_BIN)"
	@echo "TO_INC= $(TO_INC)"
	@echo "TO_LIB= $(TO_LIB)"
	@echo "TO_MAN= $(TO_MAN)"
	@echo "INSTALL_TOP= $(INSTALL_TOP)"
	@echo "INSTALL_BIN= $(INSTALL_BIN)"
	@echo "INSTALL_INC= $(INSTALL_INC)"
	@echo "INSTALL_LIB= $(INSTALL_LIB)"
	@echo "INSTALL_MAN= $(INSTALL_MAN)"
	@echo "INSTALL_LMOD= $(INSTALL_LMOD)"
	@echo "INSTALL_CMOD= $(INSTALL_CMOD)"
	@echo "INSTALL_EXEC= $(INSTALL_EXEC)"
	@echo "INSTALL_DATA= $(INSTALL_DATA)"

# echo pkg-config data
pc:
	@echo "version=$R"
	@echo "prefix=$(INSTALL_TOP)"
	@echo "libdir=$(INSTALL_LIB)"
	@echo "includedir=$(INSTALL_INC)"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) clean test install local none dummy echo pecho lecho

# (end of Makefile)

=== src/Makefile ===
# Makefile for building Lua
# See ../doc/readme.html for installation and customization instructions.

# == CHANGE THE SETTINGS BELOW TO SUIT YOUR ENVIRONMENT =======================

# Your platform. See PLATS for possible values.
PLAT= none

CC= gcc
CFLAGS= -O2 -Wall -DLUA_COMPAT_ALL $(SYSCFLAGS) $(MYCFLAGS)
LDFLAGS= $(SYSLDFLAGS) $(MYLDFLAGS)
LIBS= -lm $(SYSLIBS) $(MYLIBS)

AR= ar rcu
RANLIB= ranlib
RM= rm -f

SYSCFLAGS=
SYSLDFLAGS=
SYSLIBS=

MYCFLAGS=
MYLDFLAGS=
MYLIBS=
MYOBJS=

# == END OF USER SETTINGS -- NO NEED TO CHANGE ANYTHING BELOW THIS LINE =======

PLATS= aix ansi bsd freebsd generic linux macosx mingw posix solaris

LUA_A=	liblua.a
CORE_O=	lapi.o lcode.o lctype.o ldebug.o ldo.o ldump.o lfunc.o lgc.o llex.o \
	lmem.o lobject.o lopcodes.o lparser.o lstate.o lstring.o ltable.o \
	ltm.o lundump.o lvm.o lzio.o
LIB_O=	lauxlib.o lbaselib.o lbitlib.o lcorolib.o ldblib.o liolib.o \
	lmathlib.o loslib.o lstrlib.o ltablib.o loadlib.o linit.o
BASE_O= $(CORE_O) $(LIB_O) $(MYOBJS)

LUA_T=	lua
LUA_O=	lua.o

LUAC_T=	luac
LUAC_O=	luac.o

ALL_O= $(BASE_O) $(LUA_O) $(LUAC_O)
ALL_T= $(LUA_A) $(LUA_T) $(LUAC_T)
ALL_A= $(LUA_A)

# Targets start here.
default: $(PLAT)

all:	$(ALL_T)

o:	$(ALL_O)

a:	$(ALL_A)

$(LUA_A): $(BASE_O)
	$(AR) $@ $?
	$(RANLIB) $@

$(LUA_T): $(LUA_O) $(LUA_A)
	$(CC) -o $@ $(LDFLAGS) $(LUA_O) $(LUA_A) $(LIBS)

$(LUAC_T): $(LUAC_O) $(LUA_A)
	$(CC) -o $@ $(LDFLAGS) $(LUAC_O) $(LUA_A) $(LIBS)

clean:
	$(RM) $(ALL_T) $(ALL_O)

depend:
	@$(CC) $(CFLAGS) -MM l*.c

echo:
	@echo "PLAT= $(PLAT)"
	@echo "CC= $(CC)"
	@echo "CFLAGS= $(CFLAGS)"
	@echo "LDFLAGS= $(SYSLDFLAGS)"
	@echo "LIBS= $(LIBS)"
	@echo "AR= $(AR)"
	@echo "RANLIB= $(RANLIB)"
	@echo "RM= $(RM)"

# Convenience targets for popular platforms
ALL= all

none:
	@echo "Please do 'make PLATFORM' where PLATFORM is one of these:"
	@echo "   $(PLATS)"

aix:
	$(MAKE) $(ALL) CC="xlc" CFLAGS="-O2 -DLUA_USE_POSIX -DLUA_USE_DLOPEN" SYSLIBS="-ldl" SYSLDFLAGS="-brtl -bexpall"

ansi:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_ANSI"

bsd:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" SYSLIBS="-Wl,-E"

freebsd:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_LINUX" SYSLIBS="-Wl,-E -lreadline"

generic: $(ALL)

linux:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_LINUX" SYSLIBS="-Wl,-E -ldl -lreadline -lncurses"

macosx:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_MACOSX" SYSLIBS="-lreadline"

mingw:
	$(MAKE) "LUA_A=lua52.dll" "LUA_T=lua.exe" \
	"AR=$(CC) -shared -o" "RANLIB=strip --strip-unneeded" \
	"SYSCFLAGS=-DLUA_BUILD_AS_DLL" "SYSLIBS=" "SYSLDFLAGS=-s" lua.exe

posix:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_POSIX"

solaris:
	$(MAKE) $(ALL) SYSCFLAGS="-DLUA_USE_POSIX -DLUA_USE_DLOPEN" SYSLIBS="-ldl"

# list targets that do not create files (but not all makes understand .PHONY)
.PHONY: all $(PLATS) default o a clean depend echo none

# DO NOT DELETE

lapi.o: lapi.c lua.h luaconf.h lapi.h llimits.h lstate.h lobject.h ltm.h \
 lzio.h lmem.h ldebug.h ldo.h lfunc.h lgc.h lstring.h ltable.h lundump.h \
 lvm.h
lauxlib.o: lauxlib.c lua.h luaconf.h lauxlib.h
lbaselib.o: lbaselib.c lua.h luaconf.h lauxlib.h lualib.h
lbitlib.o: lbitlib.c lua.h luaconf.h lauxlib.h lualib.h
lcode.o: lcode.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
 lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h lgc.h \
 lstring.h ltable.h lvm.h
lcorolib.o: lcorolib.c lua.h luaconf.h lauxlib.h lualib.h
lctype.o: lctype.c lctype.h lua.h luaconf.h llimits.h
ldblib.o: ldblib.c lua.h luaconf.h lauxlib.h lualib.h
ldebug.o: ldebug.c lua.h luaconf.h lapi.h llimits.h lstate.h lobject.h \
 ltm.h lzio.h lmem.h lcode.h llex.h lopcodes.h lparser.h ldebug.h ldo.h \
 lfunc.h lstring.h lgc.h ltable.h lvm.h
ldo.o: ldo.c lua.h luaconf.h lapi.h llimits.h lstate.h lobject.h ltm.h \
 lzio.h lmem.h ldebug.h ldo.h lfunc.h lgc.h lopcodes.h lparser.h \
 lstring.h ltable.h lundump.h lvm.h
ldump.o: ldump.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h \
 lzio.h lmem.h lundump.h
lfunc.o: lfunc.c lua.h luaconf.h lfunc.h lobject.h llimits.h lgc.h \
 lstate.h ltm.h lzio.h lmem.h
lgc.o: lgc.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
 lzio.h lmem.h ldo.h lfunc.h lgc.h lstring.h ltable.h
linit.o: linit.c lua.h luaconf.h lualib.h lauxlib.h
liolib.o: liolib.c lua.h luaconf.h lauxlib.h lualib.h
llex.o: llex.c lua.h luaconf.h lctype.h llimits.h ldo.h lobject.h \
 lstate.h ltm.h lzio.h lmem.h llex.h lparser.h lstring.h lgc.h ltable.h
lmathlib.o: lmathlib.c lua.h luaconf.h lauxlib.h lualib.h
lmem.o: lmem.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
 ltm.h lzio.h lmem.h ldo.h lgc.h
loadlib.o: loadlib.c lua.h luaconf.h lauxlib.h lualib.h
lobject.o: lobject.c lua.h luaconf.h lctype.h llimits.h ldebug.h lstate.h \
 lobject.h ltm.h lzio.h lmem.h ldo.h lstring.h lgc.h lvm.h
lopcodes.o: lopcodes.c lopcodes.h llimits.h lua.h luaconf.h
loslib.o: loslib.c lua.h luaconf.h lauxlib.h lualib.h
lparser.o: lparser.c lua.h luaconf.h lcode.h llex.h lobject.h llimits.h \
 lzio.h lmem.h lopcodes.h lparser.h ldebug.h lstate.h ltm.h ldo.h lfunc.h \
 lstring.h lgc.h ltable.h
lstate.o: lstate.c lua.h luaconf.h lapi.h llimits.h lstate.h lobject.h \
 ltm.h lzio.h lmem.h ldebug.h ldo.h lfunc.h lgc.h llex.h lstring.h \
 ltable.h
lstring.o: lstring.c lua.h luaconf.h lmem.h llimits.h lobject.h lstate.h \
 ltm.h lzio.h lstring.h lgc.h
lstrlib.o: lstrlib.c lua.h luaconf.h lauxlib.h lualib.h
ltable.o: ltable.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h \
 ltm.h lzio.h lmem.h ldo.h lgc.h lstring.h ltable.h lvm.h
ltablib.o: ltablib.c lua.h luaconf.h lauxlib.h lualib.h
ltm.o: ltm.c lua.h luaconf.h lobject.h llimits.h lstate.h ltm.h lzio.h \
 lmem.h lstring.h lgc.h ltable.h
lua.o: lua.c lua.h luaconf.h lauxlib.h lualib.h
luac.o: luac.c lua.h luaconf.h lauxlib.h lobject.h llimits.h lstate.h \
 ltm.h lzio.h lmem.h lundump.h ldebug.h lopcodes.h
lundump.o: lundump.c lua.h luaconf.h ldebug.h lstate.h lobject.h \
 llimits.h ltm.h lzio.h lmem.h ldo.h lfunc.h lstring.h lgc.h lundump.h
lvm.o: lvm.c lua.h luaconf.h ldebug.h lstate.h lobject.h llimits.h ltm.h \
 lzio.h lmem.h ldo.h lfunc.h lgc.h lopcodes.h lstring.h ltable.h lvm.h
lzio.o: lzio.c lua.h luaconf.h llimits.h lmem.h lstate.h lobject.h ltm.h \
 lzio.h

=== debian/changelog ===
lua5.2 (5.2.0~beta-1) experimental; urgency=low

  * Initial release. (Closes: #604972)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 30 Jul 2011 10:42:07 +0200

=== debian/control ===
Source: lua5.2
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Uploaders: John V. Belmonte <jbelmonte@debian.org>
Build-Depends: debhelper (>= 8.1.3), quilt (>= 0.40), libtool, libreadline-dev
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua5.2
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua5.2
Homepage: http://www.lua.org

Package: lua5.2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for the Lua language version 5.2
 Lua is a powerful, light-weight programming language designed for extending
 applications.  The language engine is accessible as a library, having a C
 API which allows the application to exchange data with Lua programs and also
 to extend Lua with C functions.  Lua is also used as a general-purpose,
 stand-alone language through the simple command line interpreter provided.
 .
 This package contains the official manual covering the Lua language and C API,
 examples, etc.

Package: lua5.2
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple, extensible, embeddable programming language
 Lua is a powerful, light-weight programming language designed for extending
 applications.  The language engine is accessible as a library, having a C
 API which allows the application to exchange data with Lua programs and also
 to extend Lua with C functions.  Lua is also used as a general-purpose,
 stand-alone language through the simple command line interpreter provided.
 .
 This package contains the Lua command line interpreter and bytecode compiler.
 Install it if you are developing or using Lua scripts.

Package: liblua5.2-dev
Architecture: any
Multi-Arch: same
Depends: liblua5.2-0 (= ${binary:Version}), libc6-dev|libc-dev, libreadline-dev, ${misc:Depends}
Recommends: pkg-config, libtool
Section: libdevel
Description: Development files for the Lua language version 5.2
 Lua is a powerful, light-weight programming language designed for extending
 applications.  The language engine is accessible as a library, having a C
 API which allows the application to exchange data with Lua programs and also
 to extend Lua with C functions.  Lua is also used as a general-purpose,
 stand-alone language through the simple command line interpreter provided.
 .
 This package contains developer resources for using the Lua library.
 Install it if you are developing programs which use the Lua C API.

Package: liblua5.2-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: Shared library for the Lua interpreter version 5.2
 Lua is a powerful, light-weight programming language designed for extending
 applications.  The language engine is accessible as a library, having a C
 API which allows the application to exchange data with Lua programs and also
 to extend Lua with C functions.  Lua is also used as a general-purpose,
 stand-alone language through the simple command line interpreter provided.
 .
 This package contains runtime libraries.  You shouldn't need to install it
 explicitly.

Package: liblua5.2-0-dbg
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, liblua5.2-0 (= ${binary:Version}), ${misc:Depends}
Section: debug
Priority: extra
Description: Debug symbols for the Lua shared library interpreter
 This package contains the debugging symbols for liblua5.2 and lua5.2

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) linux DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH)

PKG_CONFIG_FILE=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/lua5.2.pc

override_dh_auto_install:
	dh_auto_install
	mkdir -p `dirname $(PKG_CONFIG_FILE)`
	echo "prefix=/usr" > $(PKG_CONFIG_FILE)
	echo "major_version=5.2" >> $(PKG_CONFIG_FILE)
	echo "version=5.2.0" >> $(PKG_CONFIG_FILE)
	echo "lib_name_include=lua5.2" >> $(PKG_CONFIG_FILE)
	echo "deb_host_multiarch=$(DEB_HOST_MULTIARCH)" >> $(PKG_CONFIG_FILE)
	cat debian/lua.pc.in >> $(PKG_CONFIG_FILE)

override_dh_strip:
	dh_strip --dbg-package=liblua5.2-0-dbg

## lua5.2 5.2.0~rc5

=== debian/changelog ===
lua5.2 (5.2.0~rc5-1) experimental; urgency=low

  * Do not link against ncurses (patch by Sven Joachim) (Closes: #646165) 
  * Include manpages (Closes: #636149) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 07 Dec 2011 18:40:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,12 @@
 	echo "lib_name_include=lua5.2" >> $(PKG_CONFIG_FILE)
 	echo "deb_host_multiarch=$(DEB_HOST_MULTIARCH)" >> $(PKG_CONFIG_FILE)
 	cat debian/lua.pc.in >> $(PKG_CONFIG_FILE)
+	cat doc/lua.1  | sed 's/TH LUA 1/TH LUA5.2 1/' > lua5.2.1
+	cat doc/luac.1 | sed 's/TH LUAC 1/TH LUAC5.2 1/' > luac5.2.1
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f lua5.2.1 luac5.2.1
 
 override_dh_strip:
 	dh_strip --dbg-package=liblua5.2-0-dbg

## lua5.2 5.2.0

=== debian/changelog ===
lua5.2 (5.2.0-2ubuntu0.1) precise-security; urgency=medium

  * SECURITY UPDATE: possible code execution via overflow in vararg
    functions (LP: #1362278)
    - debian/patches/CVE-2014-5461.patch: properly calculate length in
      src/ldo.c.
    - CVE-2014-5461

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Sep 2014 07:39:25 -0400

lua5.2 (5.2.0-2) unstable; urgency=low

  * Add pre/postrm scripts to remove alternatives (Closes: #668434)
  * debian/compat set to 9 to install debug symbols in the right place 
  * Standards-version set to 3.9.3, no changes

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 12 Apr 2012 10:00:25 +0200

lua5.2 (5.2.0-1) unstable; urgency=low

  * Final 5.2 release
  * Link the shared library with -lm and -ldl

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 24 Dec 2011 11:44:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: lua5.2
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Uploaders: John V. Belmonte <jbelmonte@debian.org>
-Build-Depends: debhelper (>= 8.1.3), quilt (>= 0.40), libtool, libreadline-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), quilt (>= 0.40), libtool, libreadline-dev
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua5.2
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua5.2
 Homepage: http://www.lua.org
@@ -26,6 +27,7 @@
 Package: lua5.2
 Architecture: any
 Multi-Arch: foreign
+Provides: lua
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple, extensible, embeddable programming language
  Lua is a powerful, light-weight programming language designed for extending

## lua5.2 5.2.1

=== debian/changelog ===
lua5.2 (5.2.1-3+deb7u1) wheezy-security; urgency=high

  * Patch to fix stack overflow for vararg functions (CVE-2014-5461)

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 27 Aug 2014 09:19:21 +0200

lua5.2 (5.2.1-3) unstable; urgency=low

  * Rename lua-deb-multiarch.h into lua5.2-deb-multiarch.h and install it in
    /usr/include/$DEB_HOST_MULTIARCH/ to make it available with no extra
    -I directive

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 18 Jul 2012 18:43:06 +0200

lua5.2 (5.2.1-2) unstable; urgency=low

  * Install architecture dependent .h file in /usr/lib and fix .pc files
    accordingly to fix multiarch issues

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 15 Jun 2012 10:13:41 +0200

lua5.2 (5.2.1-1) unstable; urgency=low

  * New upstream release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 04 May 2012 16:34:31 +0200

lua5.2 (5.2.0-3) unstable; urgency=low

  * Add DEB_HOST_MULTIARCH to cflags in the .pc file (see #671286).
  * On hurd add -lpthreads 
  * Quilt patches refreshed

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 04 May 2012 16:29:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lua5.2
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Uploaders: John V. Belmonte <jbelmonte@debian.org>
 Build-Depends: debhelper (>= 9), quilt (>= 0.40), libtool, libreadline-dev
 Standards-Version: 3.9.3

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,28 @@
 #!/usr/bin/make -f
+
+ifeq (hurd,$(shell dpkg-architecture -qDEB_HOST_ARCH_OS))
+	MYLIBS=-lpthread
+endif
 
 %:
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) linux DEB_HOST_MULTIARCH=$(DEB_HOST_MULTIARCH)
+	$(MAKE) linux \
+	MYCFLAGS="$(CFLAGS)" \
+	MYLDFLAGS="$(LDFLAGS)" \
+	MYLIBS=$(MYLIBS)
 
 PKG_CONFIG_FILE=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/lua5.2.pc
+LUA_MULTIARCH_INCLUDE = debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/
+LUA_MULTIARCH = lua5.2-deb-multiarch.h
+
+override_dh_auto_configure:
+	echo "#ifndef _LUA_DEB_MULTIARCH_" > src/$(LUA_MULTIARCH)
+	echo "#define _LUA_DEB_MULTIARCH_" >> src/$(LUA_MULTIARCH)
+	echo "#define DEB_HOST_MULTIARCH \"$(DEB_HOST_MULTIARCH)\"" >> \
+		src/$(LUA_MULTIARCH)
+	echo "#endif" >> src/$(LUA_MULTIARCH)
 
 override_dh_auto_install:
 	dh_auto_install
@@ -19,10 +35,13 @@
 	cat debian/lua.pc.in >> $(PKG_CONFIG_FILE)
 	cat doc/lua.1  | sed 's/TH LUA 1/TH LUA5.2 1/' > lua5.2.1
 	cat doc/luac.1 | sed 's/TH LUAC 1/TH LUAC5.2 1/' > luac5.2.1
+	mkdir -p $(LUA_MULTIARCH_INCLUDE)
+	cp src/$(LUA_MULTIARCH) $(LUA_MULTIARCH_INCLUDE)
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f lua5.2.1 luac5.2.1
+	rm -f src/$(LUA_MULTIARCH)
 
 override_dh_strip:
 	dh_strip --dbg-package=liblua5.2-0-dbg

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua5.2
#
version=3
http://luaforge.net/frs/?group_id=XXX  /frs/download.php/\d+/lua5.2-([\d\.]*).tar.gz

## lua5.2 5.2.2

=== debian/changelog ===
lua5.2 (5.2.2-3) unstable; urgency=low

  * Put ./?.lua in last position in package.path 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 25 Nov 2013 11:55:23 +0100

lua5.2 (5.2.2-2) unstable; urgency=low

  * Fix .pc to spit -L/usr/lib/$DEB_HOST_MULTIARCH 
  * Fix interpreter version used in sample hello world script
    (Closes: #704526)
  * Fix alternative for luac (Closes: #702133) 
  * Remove redundant ./?.lua entry in package.path (Closes: #688679)
  * debian-make patch fixed to use MYLDFLAGS when building the .so 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 17 Sep 2013 23:49:47 +0200

lua5.2 (5.2.2-1) unstable; urgency=low

  * New upstream release
  * Packaging moved to git
  * Fix watch file
  * Call update-alternatives --remove in prerm (thanks lintian) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 23 Jul 2012 15:00:02 +0200

## lua5.2 5.2.3

=== debian/changelog ===
lua5.2 (5.2.3-1) unstable; urgency=medium

  * New upstream release (Closes: #734757)

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 10 Jan 2014 17:16:40 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: John V. Belmonte <jbelmonte@debian.org>
 Build-Depends: debhelper (>= 9), quilt (>= 0.40), libtool, libreadline-dev
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua5.2
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua5.2
+Vcs-Git: git://git.debian.org/git/pkg-lua/lua5.2.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua5.2.git
 Homepage: http://www.lua.org
 
 Package: lua5.2-doc

## lua5.2 5.2.4

=== debian/changelog ===
lua5.2 (5.2.4-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:03:35 +0000

lua5.2 (5.2.4-3build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Mar 2024 13:57:13 +0100

lua5.2 (5.2.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + lua5.2-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 11:47:03 +0000

lua5.2 (5.2.4-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Transition to automatic debug package (from: liblua5.2-0-dbg).
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update Vcs-* headers to use salsa repository.

  [ Victor Seva ]
  * point Vcs-* urls to lua-team
  * add myself to Uploaders, wrap-and-sort -sat
  * add doc-base
  * add lintian-overrides file
  * Lua Team as maintainer (Closes: #995533)

 -- Victor Seva <vseva@debian.org>  Tue, 21 Dec 2021 14:46:24 +0100

lua5.2 (5.2.4-1) unstable; urgency=medium

  * Acknowledge NMU.
  * Version symbols
  * Build c++ version of the library
  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 17 Jan 2015 13:17:50 +0100

lua5.2 (5.2.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761774.
  * liblua5.2-dev: Recommend libtool-bin.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 09:51:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,27 @@
 Source: lua5.2
 Section: interpreters
 Priority: optional
-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Uploaders: John V. Belmonte <jbelmonte@debian.org>
-Build-Depends: debhelper (>= 9), quilt (>= 0.40), libtool, libreadline-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Uploaders:
+ John V. Belmonte <jbelmonte@debian.org>,
+ Victor Seva <vseva@debian.org>,
+Build-Depends:
+ debhelper-compat (= 12),
+ libreadline-dev,
+ libtool-bin,
+ quilt (>= 0.40),
 Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-lua/lua5.2.git
-Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua5.2.git
-Homepage: http://www.lua.org
+Vcs-Git: https://salsa.debian.org/lua-team/lua5.2.git
+Vcs-Browser: https://salsa.debian.org/lua-team/lua5.2
+Homepage: https://www.lua.org
 
 Package: lua5.2-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
+Multi-Arch: foreign
 Description: Documentation for the Lua language version 5.2
  Lua is a powerful, light-weight programming language designed for extending
  applications.  The language engine is accessible as a library, having a C
@@ -26,8 +35,11 @@
 Package: lua5.2
 Architecture: any
 Multi-Arch: foreign
-Provides: lua
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides:
+ lua,
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Simple, extensible, embeddable programming language
  Lua is a powerful, light-weight programming language designed for extending
  applications.  The language engine is accessible as a library, having a C
@@ -41,8 +53,14 @@
 Package: liblua5.2-dev
 Architecture: any
 Multi-Arch: same
-Depends: liblua5.2-0 (= ${binary:Version}), libc6-dev|libc-dev, libreadline-dev, ${misc:Depends}
-Recommends: pkg-config, libtool
+Depends:
+ libc6-dev | libc-dev,
+ liblua5.2-0 (= ${binary:Version}),
+ libreadline-dev,
+ ${misc:Depends},
+Recommends:
+ libtool-bin,
+ pkg-config,
 Section: libdevel
 Description: Development files for the Lua language version 5.2
  Lua is a powerful, light-weight programming language designed for extending
@@ -57,8 +75,11 @@
 Package: liblua5.2-0
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Section: libs
 Description: Shared library for the Lua interpreter version 5.2
  Lua is a powerful, light-weight programming language designed for extending
@@ -69,13 +90,3 @@
  .
  This package contains runtime libraries.  You shouldn't need to install it
  explicitly.
-
-Package: liblua5.2-0-dbg
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, liblua5.2-0 (= ${binary:Version}), ${misc:Depends}
-Section: debug
-Priority: extra
-Description: Debug symbols for the Lua shared library interpreter
- This package contains the debugging symbols for liblua5.2 and lua5.2
-

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,13 @@
 	MYLDFLAGS="$(LDFLAGS)" \
 	MYLIBS=$(MYLIBS)
 
-PKG_CONFIG_FILE=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/lua5.2.pc
+PKG_DIR=debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
+PKG_CONFIG_FILE=$(PKG_DIR)/lua5.2.pc
+PKG_CONFIG_FILE_FBSD=$(PKG_DIR)/lua-5.2.pc
+PKG_CONFIG_FILE_NODOT=$(PKG_DIR)/lua52.pc
+PKGPP_CONFIG_FILE=$(PKG_DIR)/lua5.2-c++.pc
+PKGPP_CONFIG_FILE_FBSD=$(PKG_DIR)/lua-5.2-c++.pc
+PKGPP_CONFIG_FILE_NODOT=$(PKG_DIR)/lua52-c++.pc
 LUA_MULTIARCH_INCLUDE = debian/tmp/usr/include/$(DEB_HOST_MULTIARCH)/
 LUA_MULTIARCH = lua5.2-deb-multiarch.h
 
@@ -33,10 +39,22 @@
 	echo "lib_name_include=lua5.2" >> $(PKG_CONFIG_FILE)
 	echo "deb_host_multiarch=$(DEB_HOST_MULTIARCH)" >> $(PKG_CONFIG_FILE)
 	cat debian/lua.pc.in >> $(PKG_CONFIG_FILE)
+	ln -s $(shell basename $(PKG_CONFIG_FILE)) $(PKG_CONFIG_FILE_FBSD)
+	ln -s $(shell basename $(PKG_CONFIG_FILE)) $(PKG_CONFIG_FILE_NODOT)
+	echo "prefix=/usr" > $(PKGPP_CONFIG_FILE)
+	echo "major_version=5.2" >> $(PKGPP_CONFIG_FILE)
+	echo "version=5.2.0" >> $(PKGPP_CONFIG_FILE)
+	echo "lib_name_include=lua5.2" >> $(PKGPP_CONFIG_FILE)
+	echo "deb_host_multiarch=$(DEB_HOST_MULTIARCH)" >> $(PKGPP_CONFIG_FILE)
+	cat debian/lua-c++.pc.in >> $(PKGPP_CONFIG_FILE)
+	ln -s $(shell basename $(PKGPP_CONFIG_FILE)) $(PKGPP_CONFIG_FILE_FBSD)
+	ln -s $(shell basename $(PKGPP_CONFIG_FILE)) $(PKGPP_CONFIG_FILE_NODOT)
 	cat doc/lua.1  | sed 's/TH LUA 1/TH LUA5.2 1/' > lua5.2.1
 	cat doc/luac.1 | sed 's/TH LUAC 1/TH LUAC5.2 1/' > luac5.2.1
 	mkdir -p $(LUA_MULTIARCH_INCLUDE)
 	cp src/$(LUA_MULTIARCH) $(LUA_MULTIARCH_INCLUDE)
+	mkdir -p debian/tmp/usr/share/lua5.2/
+	cp debian/version-script debian/tmp/usr/share/lua5.2/
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -44,5 +62,4 @@
 	rm -f src/$(LUA_MULTIARCH)
 
 override_dh_strip:
-	dh_strip --dbg-package=liblua5.2-0-dbg
-
+	dh_strip --dbgsym-migration='liblua5.2-0-dbg (<< 5.2.4-2~)'

## lua5.2 5.2.4-1.1

=== debian/changelog ===
lua5.2 (5.2.4-1.1-deepin1) unstable; urgency=medium

  * Rebuild

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 11 Nov 2022 18:01:06 +0800

lua5.2 (5.2.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Export _IO_stdin_used in debian/version-script. Closes: #816059.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 31 Jul 2016 20:57:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,18 @@
 Source: lua5.2
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
-Uploaders:
- John V. Belmonte <jbelmonte@debian.org>,
- Victor Seva <vseva@debian.org>,
-Build-Depends:
- debhelper-compat (= 12),
- libreadline-dev,
- libtool-bin,
- quilt (>= 0.40),
+Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Uploaders: John V. Belmonte <jbelmonte@debian.org>
+Build-Depends: debhelper (>= 9), quilt (>= 0.40), libtool-bin, libreadline-dev
 Standards-Version: 3.9.3
-Vcs-Git: https://salsa.debian.org/lua-team/lua5.2.git
-Vcs-Browser: https://salsa.debian.org/lua-team/lua5.2
-Homepage: https://www.lua.org
+Vcs-Git: git://git.debian.org/git/pkg-lua/lua5.2.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua5.2.git
+Homepage: http://www.lua.org
 
 Package: lua5.2-doc
 Architecture: all
 Section: doc
-Depends:
- ${misc:Depends},
-Multi-Arch: foreign
+Depends: ${misc:Depends}
 Description: Documentation for the Lua language version 5.2
  Lua is a powerful, light-weight programming language designed for extending
  applications.  The language engine is accessible as a library, having a C
@@ -35,11 +26,8 @@
 Package: lua5.2
 Architecture: any
 Multi-Arch: foreign
-Provides:
- lua,
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Provides: lua
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple, extensible, embeddable programming language
  Lua is a powerful, light-weight programming language designed for extending
  applications.  The language engine is accessible as a library, having a C
@@ -53,14 +41,8 @@
 Package: liblua5.2-dev
 Architecture: any
 Multi-Arch: same
-Depends:
- libc6-dev | libc-dev,
- liblua5.2-0 (= ${binary:Version}),
- libreadline-dev,
- ${misc:Depends},
-Recommends:
- libtool-bin,
- pkg-config,
+Depends: liblua5.2-0 (= ${binary:Version}), libc6-dev|libc-dev, libreadline-dev, ${misc:Depends}
+Recommends: pkg-config, libtool-bin
 Section: libdevel
 Description: Development files for the Lua language version 5.2
  Lua is a powerful, light-weight programming language designed for extending
@@ -75,11 +57,8 @@
 Package: liblua5.2-0
 Architecture: any
 Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends},
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Section: libs
 Description: Shared library for the Lua interpreter version 5.2
  Lua is a powerful, light-weight programming language designed for extending
@@ -90,3 +69,13 @@
  .
  This package contains runtime libraries.  You shouldn't need to install it
  explicitly.
+
+Package: liblua5.2-0-dbg
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, liblua5.2-0 (= ${binary:Version}), ${misc:Depends}
+Section: debug
+Priority: extra
+Description: Debug symbols for the Lua shared library interpreter
+ This package contains the debugging symbols for liblua5.2 and lua5.2
+

## lua5.2 5.2.4.1

=== debian/changelog ===
lua5.2 (5.2.4.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 7dca0ef68296d455dfbd75cd263391087176fccc']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:22:40 +0000
